Wind River Support Network

HomeDefectsLIN5-7907
Fixed

LIN5-7907 : lttng2-ust: WARNING: QA Issue: non -staticdev package contains static .a library

Created: Feb 26, 2013    Updated: Dec 19, 2017
Resolved Date: Mar 17, 2013
Found In Version: 5.0.1
Fix Version: 5.0.1.1
Severity: Severe
Applicable for: Wind River Linux 5
Component/s: Userspace

Description

WARNING: QA Issue: non -staticdev package contains static .a library: 
lttng2-ust-dbg path
'/work/atom-wrs-linux/lttng2-ust-2.1.0-r0/packages-split/lttng2-ust-dbg/opt/lttng2-ust-t
esting/libtap.a'
WARNING: QA Issue: non -staticdev package contains static .a library: 
lttng2-ust-dbg path
'/work/atom-wrs-linux/lttng2-ust-2.1.0-r0/packages-split/lttng2-ust-dbg/opt/lttng2-ust-t
esting/hello-static-lib/.libs/liblttng-ust-provider-ust-test-hello.a'



Expected Behavior
======================
build without warning

Steps to Reproduce

wrlinux-x/wrlinux/configure
--enable-board=intel-atom --enable-rootfs=glibc-cgl --enable-kernel=cgl --with-template=feature/cut --enable-jobs=4
--enable-parallel-pkgbuilds=16 --with-rcpl-version=auto

make bbc BBCMD="bitbake -k world"

Other Downloads


Live chat
Online